---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsinglestep01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x1E50, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x20B40, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0xB0, offset: 0xB0, size: 0x8, addend: 0x0, symName: __ZL10agent_lock, symObjAddr: 0x20C90, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xDF, offset: 0xDF, size: 0x8, addend: 0x0, symName: __ZL16callbacksEnabled, symObjAddr: 0x20C98, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x104, offset: 0x104, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x20C9C, symBinAddr: 0x818C, symSize: 0x0 }
  - { offsetInCU: 0x12D, offset: 0x12D, size: 0x8, addend: 0x0, symName: __ZL17isVirtualExpected, symObjAddr: 0x20CA0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x15D, offset: 0x15D, size: 0x8, addend: 0x0, symName: __ZL6stepEv, symObjAddr: 0x20CB0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x18E, offset: 0x18E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x20CC0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8E19, offset: 0x8E19, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2170, symSize: 0x30 }
  - { offsetInCU: 0x90A3, offset: 0x90A3, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0x1CF0, symSize: 0x160 }
  - { offsetInCU: 0x95BD, offset: 0x95BD, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0xE90, symBinAddr: 0x21A0, symSize: 0x200 }
  - { offsetInCU: 0x9A00, offset: 0x9A00, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1090, symBinAddr: 0x23A0, symSize: 0x70 }
  - { offsetInCU: 0x9B05, offset: 0x9B05, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x1100, symBinAddr: 0x2410, symSize: 0x240 }
  - { offsetInCU: 0x9F86, offset: 0x9F86, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0x1340, symBinAddr: 0x2650, symSize: 0x310 }
  - { offsetInCU: 0xA2E0, offset: 0xA2E0, size: 0x8, addend: 0x0, symName: _VMStart, symObjAddr: 0x1650, symBinAddr: 0x2960, symSize: 0xE0 }
  - { offsetInCU: 0xA4D5, offset: 0xA4D5, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0x1730, symBinAddr: 0x2A40, symSize: 0xE0 }
  - { offsetInCU: 0xA6CA, offset: 0xA6CA, size: 0x8, addend: 0x0, symName: _Java_singlestep01_check, symObjAddr: 0x1810, symBinAddr: 0x2B20, symSize: 0xA0 }
  - { offsetInCU: 0xA813, offset: 0xA813, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x18B0, symBinAddr: 0x2BC0, symSize: 0x280 }
  - { offsetInCU: 0xAB92, offset: 0xAB92, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1B30, symBinAddr: 0x2E40, symSize: 0x10 }
  - { offsetInCU: 0xABEC, offset: 0xABEC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1B40, symBinAddr: 0x2E50, symSize: 0x10 }
...
